2017-11-17 20:49 EST


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0003199FSSCPlocalizationpublic2017-08-30 13:08
ReporterNovachen 
Assigned Tom_m 
PrioritynormalSeverityfeatureReproducibilityalways
StatusresolvedResolutionfixed 
Product Version3.8 
Target VersionFixed in Version3.8.1 
Summary0003199: Expanded tstrings.tbl strings limit
DescriptionMaybe i am the only one, who is actually using the tstrings.tbl for my translations of several campaigns and modifications of FS2.

But i am needing a tstrings.tbl (or -tlc.tbm) that can support much more than the 4500 strings. For example, if i want to translate "Blue Planet Complete" sometime in the future, it would be impossible with the current limit. Because it already uses the 3421 strings from the FreeSpace2 Main Campaign for FreeSpace Blue, so you have only 1079 possible entries left for... 60(?) missions, additional ships- and weapons descriptions etc.

I am already reach the current limit, if i want to translate Silent Threat: Reborn on top to my FSPort translation as a -tlc.tbm-AddOn.

So i would like to see a FSO-build, where the current limit is much higher... or deactivated in general.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0016909

m_m (developer)

Based on a quick examination of the tstrings code I would say that there is nothing that would prevent removing that limit. I'll take a closer look at that tomorrow.

~0016910

Goober5000 (administrator)

Implemented in m!m's GitHub PR 1465.
https://github.com/scp-fs2open/fs2open.github.com/pull/1465
+Notes

-Issue History
Date Modified Username Field Change
2017-08-29 18:03 Novachen New Issue
2017-08-29 18:32 m_m Note Added: 0016909
2017-08-30 13:08 Goober5000 Assigned To => m_m
2017-08-30 13:08 Goober5000 Status new => resolved
2017-08-30 13:08 Goober5000 Resolution open => fixed
2017-08-30 13:08 Goober5000 Fixed in Version => 3.8.1
2017-08-30 13:08 Goober5000 Note Added: 0016910
+Issue History